import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    redirect: '/player'
  },
  {
    path: '/player',
    name: 'Player',
    component: () => import('@/views/index.vue')
  },
  {
    path: '/flv-player',
    name: 'FlvPlayer',
    component: () => import('@/views/FlvPlayer.vue')
  },
  {
    path: '/frame-view',
    name: 'FrameView',
    props: {
      playUrl:
        'http://shbu.live.bestvcdn.com.cn:8080/live/program/live/nxws/1300000/mnf.m3u8'
    },
    component: () => import('@/views/FrameView.vue')
  },
  {
    path: '/test',
    name: 'Test',
    component: () => import('@/views/Test.vue')
  }
  // ,
  // {
  //   path: '/hls',
  //   name: 'HlsPlayer',
  //   component: () => import('@/views/HlsPlayer.vue')
  // },
  // {
  //   path: '/flv',
  //   name: 'FlvjsPlayer',
  //   component: () => import('@/views/FlvjsPlayer.vue')
  // },
  // {
  //   path: '/flv2',
  //   name: 'FlvVideojs',
  //   component: () => import('@/views/FlvVideojs.vue')
  // },
  // {
  //   path: '/rtmp',
  //   name: 'RtmpPlayer',
  //   component: () => import('@/views/RtmpPlayer.vue')
  // },
  // {
  //   path: '/eplayer',
  //   name: 'EasyJsPlayer',
  //   component: () => import('@/views/EasyJsPlayer.vue')
  // }
]

const router = new VueRouter({
  mode: 'hash',
  // mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
